Subject: Re: Build error in -next due to 'drivers/video/fbdev/atyfb: Replace MTRR UC hole with strong UC'

From: "Luis R. Rodriguez" <[email-masked]>
Date: Sat, 1 Aug 2015 02:02:33 +0200

On Fri, Jul 31, 2015 at 01:52:24PM -0400, Paul Gortmaker wrote:
> On Thu, Jul 30, 2015 at 10:26 PM, Guenter Roeck <[email-masked]> wrote:
> > Hi Luis,
> >
> > probably the zero-day build already told you, but just in case:
> >
> > Your commit 'drivers/video/fbdev/atyfb: Replace MTRR UC hole with strong UC'
> > causes build errors for architectures which don't support ioremap_uc.
> > This affects at least the alpha architecture, though there may be others.
> 
> Yep, parisc allmodconfig now sees it as well.  Bisected before seeing
> this message.
> 
> 3cc2dac5be3f23414a4efdee0b26d79bed297cac is the first bad commit
> commit 3cc2dac5be3f23414a4efdee0b26d79bed297cac
> Author: Luis R. Rodriguez <[email-masked]>
> Date:   Thu Jul 9 18:24:58 2015 -0700
> 
>     drivers/video/fbdev/atyfb: Replace MTRR UC hole with strong UC
> 
> http://kisskb.ellerman.id.au/kisskb/buildresult/12475234/

I submitted a fix for it, can you tell me your linux-next tree?

git describe

  Luis